Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 09 Mar 2023 16:30:15 +0000 (UTC)

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Dear All,

On 16-02-2023 I did request for return of the item Joie Roomie Crib and Co-sleeper and raised a complaint ref 5728383.  At the time of raising the complaint, I spoke with Mr. Qusai and Mr. Mahmud. Both promised to find a solution for me. But they never called me back or I didn’t get any call back from any of your staff. I requested them I wanted to return the item and purchase a new item at a higher price. But still, there is no response. Today I spoke with one of your staff named Miss. Rahaf. She told me that her manager will call me back within two hours. But nobody called me till now.

I am a regular customer of Babyshop. This is the worse customer service experience, I ever expected from you people. Your website totally misguides the customers. Most of your product clearly mentioned on the website that it is not returnable. But for which one I purchased nothing is mentioned that it is not returnable. That’s why I purchased this product, so that if I found any problem then I can return it. At the time of purchase of the product, your policy page wasn’t working. I have attached all the proof which will support my statements. I am requesting you arrange a refund or exchange for me asap. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5820042